On 6/14/06, Chris McDonough <[EMAIL PROTECTED]> wrote:
There are problems with the deprecation period, but only for
__ac_permissions__ and meta_types assuming we choose not to deprecate

The problem in this case being that we didn't use to issue deprecation
warnings. ;)

In any case, I personally don't care if it's removed in 2.10 or 2.11.

But since we decided (in another offshoot of this thread) that it
only makes sense to deprecate things in .0 releases, what *should*
happen is that we should forget about all of this and add "will
disappear in 2.12" to what will become 2.10.0.

I don't understand that logic. Zope 2.9.0 issued deprecation warnings
for these. Why should we not remove it in 2.11.0? That is two major
versions later.

Lennart Regebro, Nuxeo     http://www.nuxeo.com/
CPS Content Management     http://www.cps-project.org/
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to